package com.jty.wsxt.interfaces.dto;

import lombok.Data;
import org.hibernate.validator.constraints.Length;

import java.util.List;

/**
 * AuthRoleDto
 *
 * @author Manjiajie
 * @since 2019-6-13 11:07:02
 */
@Data
public class AuthRoleDto extends PageableDto {
    private Integer id;
    @Length(max = 12,message = "名字不能超过12个字符")
    private String name;
    private List<Integer> authAuthoritiesIds;
}
