package com.jty.wsxt.interfaces.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;

/**
 * AuthUserHistoryDto
 *
 * @author Manjiajie
 * @since 2019-6-13 16:00:29
 */
@Data
public class AuthUserHistoryDto extends PageableDto {

    private Integer id;
    /**
     * 操作人的名字
     */
    private String operatorName;
    /**
     * 操作项
     */
    private String operation;
    /**
     * 操作原因
     */
    private String operateReason;
    /**
     * 排序
     */
    private Integer ordinal;
    /**
     * 操作时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private LocalDateTime modifiedTime;
    @NotNull(message = "被操作者id不为null")
    private Integer managerId;
}
