package com.jty.wsxt.domain.model.auth.client;

import com.jty.wsxt.domain.shared.IdentifiedEntityObject;
import lombok.Data;

import javax.persistence.Entity;

/**
 * Spring Security Oauth2中的Client
 *
 * @author Manjiajie
 * @since 2019-6-12 11:01:58
 */
@Entity
@Data
public class AuthClient extends IdentifiedEntityObject<AuthClient> {

    private String clientId;

    private String clientSecret;

    private String clientDecodeSecret;

    private String authorizedGrantTypes;

    private String scope;

    private Integer userId;

    @Override
    public boolean sameIdentityAs(AuthClient other) {
        return false;
    }
}
