package com.jty.wsxt.infrastructure.constants;

/**
 * 表名静态常量
 * @author Zhongwentao
 * @since 2018/12/27 18:14
 */
public class TableConstants {



    //-----------------------------------------------
    //* basic
    //-----------------------------------------------
    public static final String BASIC_SUBJECT = "basic_subject";
    public static final String BASIC_QUESTION_TYPE = "basic_question_type";
    public static final String BASIC_RELATION_QUESTION_TYPE_SUBJECT = "basic_relation_question_type_subject";

    public static final String BASIC_DOCUMENT = "basic_document";

    public static final String BASIC_BOOK_NODE = "basic_book_node";


    //-----------------------------------------------
    //* paper
    //-----------------------------------------------
    public static final String PAPER_QUESTION_TYPE = "paper_question_type";
    public static final String PAPER_QUESTION = "paper_question";

    //-----------------------------------------------
    //* srb
    //-----------------------------------------------

    public static final String SRB_COMPONENT = "srb_component";
    public static final String SRB_MANAGER = "srb_manager";
    public static final String SRB_MANAGER_HISTORY = "srb_manager_history";
    public static final String SRB_ORGANIZATION = "srb_organization";
    public static final String SRB_ORGANIZATION_SCHOOL = "srb_organization_school";
    public static final String SRB_PLATFORM_ACCESS_CONFIG = "srb_platform_access_config";
    public static final String SRB_SCHOOL = "srb_school";
    public static final String SRB_SCHOOL_APPLY = "srb_school_apply";
    public static final String SRB_SCHOOL_CONFIG = "srb_school_config";
    public static final String SRB_SUBSCRIBE_COMPONENT = "srb_subscribe_component";
    public static final String SRB_SUBSCRIBE_COMPONENT_HISTORY = "srb_subscribe_component_history";
    public static final String SRB_TEACHER = "srb_teacher";
    public static final String SRB_TEACHER_GROUP = "srb_teacher_group";
    public static final String SRB_TEACHER_IP_RECORD = "srb_teacher_ip_record";
    public static final String SRB_QUESTION_FEEDBACK = "srb_question_feedback";
    public static final String SRB_TEACHER_LIMIT = "srb_teacher_limit";
    public static final String SRB_SCHOOL_LIMIT = "srb_school_limit";
    public static final String SRB_TEACHER_SIGN = "srb_teacher_sign";



    public static final String LOG_QUESTION_DETAIL_SEARCH = "log_question_detail_search";
    public static final String LOG_PAPER_DOWNLOAD = "log_paper_download";
    public static final String LOG_QUESTION_COLLECTION = "log_question_collection";
    public static final String LOG_DOCUMENT_COLLECTION = "log_document_collection";

    public static final String NRSC_TEACHER = "nrsc_teacher";
}
