package com.jty.wsxt.interfaces.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * PaperDto
 *
 * @author Manjiajie
 * @since 2019-6-21 16:46:36
 */
@Data
public class PaperDto extends PaperSearchDto {

    private String moduleName;

    private String creatorName;

    private String typeName;

    private String specialistName;

    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private LocalDateTime feedbackTime;
}
